clf
close all

% semilogx(freq,psd_0inj, 'DisplayName','no injection')
% grid on
% hold on
% semilogx(freq,psd_1inj, 'DisplayName','100 uA pulse')
% semilogx(freq,psd_2inj, 'DisplayName','200 uA pulse')
% semilogx(freq,psd_4inj, 'DisplayName','400 uA pulse')
% semilogx(freq,psd_7inj, 'DisplayName','700 uA pulse')

figure
loglog(f,Pxx_0inj, 'DisplayName','no injection')
grid on
hold on
loglog(f,Pxx_1inj, 'DisplayName','100 uA pulse')
loglog(f,Pxx_2inj, 'DisplayName','200 uA pulse')
loglog(f,Pxx_4inj, 'DisplayName','400 uA pulse')
loglog(f,Pxx_7inj, 'DisplayName','700 uA pulse')